Package org.talend.transform.runtime.api

# Class ObjectTypes

java.lang.Object
org.talend.transform.runtime.api.ObjectTypes

public class ObjectTypes extends Object
These are the names of the top level directories of the project

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String[]`
`ALL`
`static final String`
`DATABASE`
`static final String`
`FUNC`
`static final String`
`MAP`
`static final String`
`MAP_SET`
`static final String`
`NAMESPACE_CONTAINER`
`static final String`
`REPORT`
`static final String`
`SAMPLE_DATA`
`static final String`
`STRUCT`

## Constructor Summary

Constructors
Constructor
Description
`ObjectTypes()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MAP

public static final String MAP

See Also:
  - Constant Field Values

### MAP_SET

public static final String MAP_SET

See Also:
  - Constant Field Values

### STRUCT

public static final String STRUCT

See Also:
  - Constant Field Values

### FUNC

public static final String FUNC

See Also:
  - Constant Field Values

### NAMESPACE_CONTAINER

public static final String NAMESPACE_CONTAINER

See Also:
  - Constant Field Values

### DATABASE

public static final String DATABASE

See Also:
  - Constant Field Values

### REPORT

public static final String REPORT

See Also:
  - Constant Field Values

### SAMPLE_DATA

public static final String SAMPLE_DATA

See Also:
  - Constant Field Values

### ALL

public static final String[] ALL

## Constructor Details

### ObjectTypes

public ObjectTypes()